/*======================================*/
/* SLIDER DE CONTENIDO DESTACADO        */
/*======================================*/
.home-slider {
  width: 100%;
  aspect-ratio: 1920 / 600;
  height: 26.5vw;
  position: relative;
  overflow: hidden;
}

.slider-container {
  max-width: 100%;
  height: 100%;
  position: relative;
}

.slide {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity .8s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: var(--bg-desktop);
  background-repeat: no-repeat;
}

.slide-left {
  background-size: cover;
  background-position-x: left;
  background-position-y: center;
}

.slide-right {
  text-align: right;
  background-size: cover;
  background-position-x: right;
  background-position-y: center;
}

.slide .underline {
  margin-top: 20px;
  margin-bottom: 20px;
}

.slide-right .underline,
.slide-right .btn {
  margin-left: auto;
  margin-right: 0;
}

.slide.active {
  opacity: 1;
  z-index: 1;
}

.slide-content-wrap {
  width: 100%;
  max-width: 1500px;
  display: flex;
  justify-content: flex-start;
  padding: 3% 3%;
}

.slide-right .slide-content-wrap {
  justify-content: flex-end;
}

.slide-content {
  width: min(100%, max(350px, var(--content-width, 50%)));
}

h2.slide-content-title-light {
  color: var(--color-white);
  font-size: clamp(24px, 3vw, 35px);
}

h2.slide-content-title-dark {
  color: var(--color-black);
  font-size: clamp(24px, 3vw, 35px);
}

h3.slide-content-title-light {
  color: var(--color-white);
  font-size: clamp(16px, 3vw, 30px);
}

h3.slide-content-title-dark {
  color: var(--color-black);
  font-size: clamp(16px, 3vw, 30px);
}

.slide-content-description-light {
  margin-bottom: 20px;
  font-size: clamp(12px, 3vw, 16px);
}
.slide-content-description-dark {
  margin-bottom: 20px;
  font-size: clamp(12px, 3vw, 16px);
}

.slide-content-description-light p{
  font-size: 16px;
  line-height: 1.4em;
  color: var(--color-white);
}

.slide-content-description-dark p{
  font-size: 16px;
  line-height: 1.4em;
  color: var(--color-dark-gray);
}

.nav-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 5px;
  height: 42px;
  background: rgba(0,0,0,0.45);
  color: var(--color-white);
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  font-size: 18px;
  cursor: pointer;
  border-radius: 5px;
  z-index: 10;
  transition: .3s;
  padding: 20px 10px;
  font-size: 14px;
}

.nav-arrow:hover {
  background: rgba(0,0,0,0.75);
}

.prev {
  left: 20px;
}

.next {
  right: 20px;
}

.dots {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 5px;
  z-index: 10;
}

.dots button {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: none;
  background: var(--color-medium-gray);
  cursor: pointer;
  transition: .3s;
  padding: 8px;
}

.dots button.active {
  background: linear-gradient(90deg,var(--color-medium-blue), var(--color-medium-green));
}

/* ========= TABLET (≤ 1280px) ========= */
@media (max-width: 1280px) {
.home-slider {
  height: 35vw;
}
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.home-slider {
  height: 40vw;
}
.slide-content {
  width: min(100%, max(320px, calc(var(--content-width, 50%) + 10%)));
}

.slide-content-wrap {
  padding: 5% 5% 5% 5%;
}

.prev {
  left: 15px;
}

.next {
  right: 15px;
}

.dots {
  bottom: 15px;
}

.dots button {
  width: 12px;
  height: 12px;
  padding: 6px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.home-slider {
  aspect-ratio: 768/980;
  height: 115vw;
}

.slide {
  align-items: flex-end;
  background-image: var(--bg-mobile);
}

.slide-left,
.slide-right {
  background-size:  110%;
  background-position-x: center;
  background-position-y: top;
}

.slide-right {
  text-align: left;
}

.slide-right .underline,
.slide-right .btn {
  margin-left: 0;
  margin-right: auto;
}

.slide-right .slide-content-wrap {
  justify-content: flex-start;
}

.slide-content-wrap {
  padding: 8% 8% 8% 8%;
}

.slide-content {
  width: 100%;
}


h2.slide-content-title-light {
  font-size: 28px;
}

h2.slide-content-title-dark {
  font-size: 28px;
}

h3.slide-content-title-light {
  font-size: 22px;
}

h3.slide-content-title-dark {
  font-size: 22px;
}

.slide-content-description-light {
  font-size: 14px;
}
.slide-content-description-dark {
  font-size: 14px;
}

.prev {
  left: 10px;
}

.next {
  right: 10px;
}

.dots {
  bottom: 10px;
}

.dots button {
  width: 10px;
  height: 10px;
  padding: 4px;
}
}

@media (max-width: 640px) {
.home-slider {
  height: 120vw;
}
}

@media (max-width: 568px) {
.home-slider {
  height: 125vw;
}
}

@media (max-width: 520px) {
.home-slider {
  height: 135vw;
}
.slide-left,
.slide-right {
  background-position-y: bottom;
}
}

/*======================================*/
/* CAJAS DE LÍNEAS DE NEGOCIOS          */  
/*======================================*/

.home-services {
  display: flex;
  justify-content: center;
  gap: 50px;               
  max-width: 1500px;
  padding: 3% 3% 3% 3%;
  margin: 0 auto; 
  background: var(--color-white);
  flex-wrap: wrap;
}
.service-card {
  flex: 1 1 360px;
  max-width: 50%;
  position: relative;
  height: auto;
  border-radius: 20px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.service-bg {
  background-image: var(--bg-image);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
}

.service-card-blue::before {
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg, var(--color-dark-blue), var(--color-medium-blue));
  z-index: 1;
  opacity: 0.75;
}

.service-card-green::before {
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg, var(--color-dark-green), var(--color-medium-green));
  z-index: 1;
  opacity: 0.75;
}

.service-content {
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 45px 30px;
  height: 100%;
  gap: 0px;
  justify-content: space-between;
}

.service-content .title-light {
  color: var(--color-white);
}

.service-content .title-dark {
  color: var(--color-black);
}
.service-content .text-description-service-light, 
.service-content p.text-description-service-dark,
.service-content a.btn {
  margin: 10px 0px;
}   

.service-content .text-description-service-light p{
  color: var(--color-white);
  font-weight: 300;
  font-size: 18px;
}
.service-content p.text-description-service-dark p{
  color: var(--color-black);
  font-weight: 300;
  font-size: 18px;
}

.service-content .text-description-service-light p strong,
.service-content .text-description-service-dark p strong {
  font-weight: 600;
}

.brands {
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin-bottom: 10px;
}

.brands img {
  height: 50px;
  object-fit: contain;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.home-services {
  gap: 20px;
  padding: 5% 5% 5% 5%;
}

.service-card {
  flex: 1 1 calc(50% - 10px);
  max-width: 100%;
}

.brands img {
  height: 45px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.home-services {
  gap: 30px;
  padding: 8% 8% 8% 8%;
}

.service-card {
  flex: 0 0 100%;
  max-width: 100%;
}

.brands {
  height: auto;
}

.brands img {
  height: 40px;
}

.service-content .text-description-service-light p,
.service-content p.text-description-service-dark p{
  font-size: 16px;
}
}

/*Animaciones */
.service-card {  
  --visibility-progress: 0;
  opacity: var(--visibility-progress);
  transform: translateY(calc(30px * (1 - var(--visibility-progress))));
  transition: opacity 0.1s linear, transform 0.1s linear;
}

.service-card.animate-in {
  --visibility-progress: 1;
}

/*======================================*/
/* SECCIÓN DE NAVEGACIÓN DE SERVICIOS   */
/*======================================*/
.home-servicios {
  background: var(--color-white);
  position: sticky;
  overflow: hidden;
  top: 95px;
  z-index: 998;
  transition: opacity 0.5s ease, transform 0.5s ease;
  opacity: 1;
  transform: translateY(0);
}

.home-servicios.hide {
  opacity: 0;           
  transform: translateY(-10px);
  pointer-events: none;
}

.servicios-container {
  display: flex;
  max-width: 1500px;
  gap: 30px;
  padding: 1% 3%;
  margin-left: auto;
  margin-right: auto;
  align-items: center;
  justify-content: space-between;
}

.servicios-column-1 {
  flex: 1;
}

.servicios-column-1 h2 {
  margin-bottom: 10px;
}

.servicios-column-2 {
  flex: 1;
  text-align: center;
}

.servicios-column-2 .button-group {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.home-servicios {
  top: 0px;
}
.servicios-container {
  display: flex;
  gap: 10px;
  padding: 2% 5%;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.servicios-container {
  display: flex;
  text-align: center;
  gap: 5px;
  padding: 3% 8%;
  flex-direction: column;
}

.servicios-column-1 {
  justify-items: anchor-center;
}
.servicios-column-2 .button-group {
   justify-content: center;
   align-items: center;
   gap: 10px;
}
}

/*======================================*/
/* SECCIÓN NUESTRAS LÍNEAS DE NEGOCIO */
/*======================================*/
.business-line {
  position: relative;
  overflow: hidden;
  min-height: 700px;
  align-content: center;
  margin-bottom: 30px;
}

.business-line::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    background: radial-gradient(
        ellipse farthest-corner at var(--bl-x, 50%) 0%,
        var(--bl-highlight, rgb(255 255 255 / 10%)),
        var(--bl-medium) var(--bl-mid-stop, 50%),
        var(--bl-dark) 100%
    );
}

.business-line-blue {
    --bl-medium: var(--color-medium-blue);
    --bl-dark: var(--color-dark-blue);
}

.business-line-green {
    --bl-medium: var(--color-medium-green);
    --bl-dark: var(--color-dark-green);
}

.business-line-right {
    --bl-x: 0%;
}

.business-line-left {
    --bl-x: 100%;
}

.business-line-bg {
  position: absolute;
  inset: 0;
  background-size: 75%;
  background-position-y: 0%;
  background-repeat: no-repeat;
  min-height: 700px;
  transition: background-image 0.6s ease-in-out, opacity 0.4s ease-in-out;
  opacity: 1;
  z-index: -2;
  animation: slowFloat 20s ease-in-out infinite;
}

.business-line-right .business-line-bg {
    background-position-x: 0%;
}

.business-line-left .business-line-bg {
    background-position-x: 100%;    
}

.business-line-content {
    display: flex;
    max-width: 1500px;
    gap: 60px;
    margin: auto;
    width: 100%;
    padding: 3% 3% 1% 3%;
}

.business-line-text {
  flex: 1;
  max-width: 720px;
}

.business-line-text h2 {
  color: var(--color-white);
}

.accordion {
  margin-bottom: 20px;
}

.accordion-item {
  border-bottom: 1px solid var(--color-white);
  padding: 20px 0;
  cursor: pointer;
}

.accordion-header {
  width: 100%;
  background: none;
  border: none;
  padding: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: left;
}

.accordion-header h4 {
  color: var(--color-white);
}

.arrow {
  width: 12px;
  height: 12px;
  border-right: 2px solid var(--color-white);
  border-bottom: 2px solid var(--color-white);
  transform: rotate(45deg);
  transition: var(--transition);
}

.accordion-header .arrow {
  transition: transform 0.3s ease;
  font-size: 18px;
  flex-shrink: 0;
}

.accordion-item.active .arrow-green {
  border-right: 2px solid var(--color-light-green);
  border-bottom: 2px solid var(--color-light-green);
  transform: rotate(-135deg);
}

.accordion-item.active .arrow-blue {
  border-right: 2px solid var(--color-light-blue);
  border-bottom: 2px solid var(--color-light-blue);
  transform: rotate(-135deg);
}

.accordion-item.active h4.text-green {
  color: var(--color-light-green);
}

.accordion-item.active h4.text-blue {
  color: var(--color-light-blue);
}

.accordion-body {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: all 0.35s ease;
}

.accordion-body p {
  color: var(--color-white);
  margin-bottom: 20px;
}

.accordion-item.active .accordion-body {
  max-height: 200px;
  opacity: 1;
  margin-top: 10px;
}

.icon-accordion{
    height: 75px;
}

.business-line-sectors {
  display: flex;
  max-width: 1500px;
  margin-left: auto;
  margin-right: auto;
  padding: 1% 3% 3% 3%;
  flex-direction: column;
}

.business-line-sectors h4 {
  color: var(--color-white);
  margin-bottom: 20px;
}

.sectors-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  gap: 20px;
  width: 100%;
}

.sector-item {
  width: 150px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.sector-item img {
  min-width: 80px;
  max-width: 110px;
  margin-bottom: 5px;
  border-radius: 50%;
  background: var(--color-white);
  padding: 2%;
  transition: transform 0.3s ease;
}

.sector-item:hover img{
  transform: scale(1.05);
}

.sector-item h5 {
  font-size: 18px;
  line-height: 1.2em;
  color: var(--color-white);
  font-weight: 300;
  margin-bottom: 5px;
}

.sector-item p {
  font-size: 14px;
  line-height: 1.2em;
  color: var(--color-white);
  font-weight: 200;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.business-line {
    --bl-x: 50%;
    --bl-mid-stop: 75%;
    --bl-highlight: rgb(0 98 129 / 75%);
}

.business-line::before {
    opacity: 0.95;
}

.business-line-bg {
  background-size: cover;
  background-position-x: 5%;
  background-position-y: 0%;
}

.business-line-content {
  flex-direction: column;
  gap: 0px;
  padding: 5% 5% 2% 5%;
}

.business-line-text {
  max-width: 100%;
}

.business-line-sectors {
  padding: 2% 5% 5% 5%;
}

.business-line-sectors .sector-item {
  width: 20%;
}

.business-line-sectors .sector-item h5 {
  font-size: 17px;
}

.business-line-sectors .sector-item p {
  font-size: 13px;
}
.icon-accordion{
    height: 65px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.business-line-content {
  padding: 8% 8% 3% 8%;
}

.business-line-text {
  max-width: 100%;
}

.business-line-sectors {
  padding: 3% 8% 8% 8%;
}

.business-line-sectors .sectors-grid {
  display: flex;
  gap: 20px;
  width: 100%;
  flex-wrap: wrap;
}

.business-line-sectors .sector-item {
  width: 45%;
}

.business-line-sectors .sector-item h5 {
  font-size: 16px;
}

.business-line-sectors .sector-item p {
  font-size: 12px;
}
.icon-accordion{
    height: 50px;
}
}

/*======================================*/
/* SECCIÓN DE CLIENTES                  */
/*======================================*/
.home-clientes {
  background: var(--color-white);
  overflow: hidden;
}

.clientes-container {
  display: flex;
  max-width: 1500px;
  flex-direction: column;
  margin-left: auto;
  margin-right: auto;
  padding: 3% 3% 3% 3%;
}
.clientes-container a{
  margin-left: auto;
}

.clientes-column {
  width: 100%;
  text-align: center;
  margin-bottom: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.clientes-carousel {
  display: flex;
  align-items: center;
  position: relative;
}

.carousel-viewport {
  overflow: hidden;
  width: 100%;
}

.carousel-track {
  --gap: 30px;
  display: flex;
  gap: var(--gap);
  transition: transform 0.6s ease-in-out;
  will-change: transform;
}

.cliente-logo {
  flex: 0 0 auto;
  width: 220px;  
  max-width: 100%;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  border-radius: 5px;
}

.cliente-logo img {
  max-width: 180px;
  height: auto;
  object-fit: contain;
  filter: grayscale(0%);
  transition: transform 0.3s ease;
  padding: 5px;
}

.cliente-logo img:hover {
  transform: scale(1.05);
}

.clientes-carousel .nav-arrow.prev {
  left: -20px;
}

.clientes-carousel .nav-arrow.next {
  right: -20px;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.clientes-container {
  padding: 5% 5% 5% 5%;
}

.cliente-logo {
    width: 160px;
}
.cliente-logo img {
  max-width: 160px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.clientes-container {
  padding: 8% 8% 8% 8%;
}

.cliente-logo {
    width: 150px;
}
.cliente-logo img {
  max-width: 150px;
}
}

/*======================================*/
/* DESTACAR BUSQUEDA                    */
/*======================================*/
.slide::before {
  content: '';
  position: absolute;
  inset: 0;
  background-color: var(--color-highlight);
  opacity: 0;
  transition: opacity 1.2s ease;
  z-index: 1;
  pointer-events: none;
}

.slide.highlight::before {
  opacity: 0.6;
}

.cliente-logo {
  transition: background-color 0.4s ease;
}

.cliente-logo.highlight{
  background: var(--color-highlight);
}

.business-line::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-highlight);
  opacity: 0;
  transition: opacity 1.2s ease;
  z-index: -1;
  pointer-events: none;
}

.business-line.highlight::after {
  opacity: 0.6;
}
